This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 253651 - Keyboard inoperative at boot options on Dell E520
Keyboard inoperative at boot options on Dell E520
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-20 19:09 EDT by Garry T. Williams
Modified: 2013-01-09 23:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 18:26:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Garry T. Williams 2007-08-20 19:09:33 EDT
Description of problem:
The LiveCD does not enable (USB) keyboard on Dell Dimension E520

Version-Release number of selected component (if applicable):
F7 LiveCD

How reproducible:
Always on boot.

Steps to Reproduce:
1.  Boot LiveCD
  
Actual results:
Prompt for boot option displayed, but keyboard is inoperative.

Expected results:
Keyboard should work.

Once the timeouts expire, the boot process continues and after loading, keyboard
is enabled and install proceeds without other problems.

Please let me know what other information I can provide about this system and
its hardware.
Comment 1 Jeremy Katz 2007-08-20 21:03:57 EDT
There's a BIOS bug with some Dell boxes -- I'm not sure if this is one of them;
but definitely worth looking for a BIOS update.
Comment 2 Garry T. Williams 2007-08-21 18:32:25 EDT
That did it.

I updated to version 2.4.0 from the Dell Web site and now the keyboard is
recognized at the boot option prompt.

(I note that grub has always managed to enable the keyboard before loading a
kernel.  Perhaps there's something the LiveCD can do to work around the problem.)
Comment 3 Bug Zapper 2008-05-14 10:03:38 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Garry T. Williams 2008-05-14 18:26:58 EDT
It was fixed by upgrading the BIOS to 2.4.0.

Note You need to log in before you can comment on or make changes to this bug.